
%global meadversion 1.1.1
%global namedversion 1.1.1.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-cert-helper} 
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.1.redhat-00001

Name:		%{?scl_prefix}jboss-cert-helper
Summary: 	Native for Insights in wildfly
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:		0
License: 	ASL 2.0
Group: 		Development/Java

%if %with mead
Source100: runtimes-java-1.1.1.redhat-00001-project-sources.tar.gz
Source102: jboss-cert-helper-1.1.1.redhat-00001.pom
Source103: jboss-cert-helper-1.1.1.redhat-00001-linux-x86_64.bin
Source104: runtimes-java-core-runtime-1.1.1.redhat-00001.jar
Source105: runtimes-java-api-1.1.1.redhat-00001-tests.jar
Source106: runtimes-java-core-runtime-1.1.1.redhat-00001-test-sources.jar
Source107: runtimes-java-api-1.1.1.redhat-00001.pom
Source108: runtimes-java-api-1.1.1.redhat-00001-javadoc.jar
Source109: runtimes-java-core-runtime-1.1.1.redhat-00001-javadoc.jar
Source110: runtimes-java-1.1.1.redhat-00001.pom
Source111: runtimes-java-core-runtime-1.1.1.redhat-00001-sources.jar
Source112: jboss-cert-helper-1.1.1.redhat-00001-sources.jar
Source113: runtimes-java-api-1.1.1.redhat-00001-test-sources.jar
Source114: jboss-cert-helper-1.1.1.redhat-00001-linux-arm64.bin
Source115: runtimes-java-api-1.1.1.redhat-00001-sources.jar
Source116: runtimes-java-core-runtime-1.1.1.redhat-00001.pom
Source117: runtimes-java-api-1.1.1.redhat-00001.jar
Source118: jboss-cert-helper-1.1.1.redhat-00001.zip
%endif

URL:		http://github.com/RedHatInsights/insights-java-client
BuildRequires:  unzip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Native for Insights in wildfly.

%package wildfly
Summary:     Insights native for EAP 7
Group:       Development


%description wildfly
Insights native for EAP 7.

%prep
%setup -q -n runtimes-java-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

%ifarch i386 i686
archdir=linux-i686
%endif
%ifarch x86_64
archdir=linux-x86_64
%endif

ls %{_sourcedir}
install -d -m 755 $RPM_BUILD_ROOT/%{_scl_root}/opt/
cp -L %{_sourcedir}/jboss-cert-helper-%{namedversion}-$archdir.bin $RPM_BUILD_ROOT/%{_scl_root}/opt/
pushd $RPM_BUILD_ROOT/%{_scl_root}/opt/
%{__ln_s} jboss-cert-helper-%{namedversion}-$archdir.bin jboss-cert-helper
popd

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_scl_root}/opt/jboss-cert-helper
%attr(4755,root,root) %{_scl_root}/opt/jboss-cert-helper*bin

%changelog
* Tue Dec 19 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.1.1-1.redhat_00001.1
- Built by CPaaS

* Tue Jul 04 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.0.9-1.redhat_00001.1
- Built by CPaaS

* Thu Jun 15 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.0.8-1.redhat_00001.1
- Built by CPaaS

* Fri Apr 21 2023 Harsha Cherukuri <hcheruku@redhat.com> - 1.0.1-2.redhat_00001.1
- building new wrapper

* Fri Apr 21 2023 Harsha Cherukuri <hcheruku@redhat.com> - 1.0.1-1.redhat_00001.1
- Building new wrapper

* Thu Apr 20 2023 Harsha Cherukuri <hcheruku@redhat.com> - 1.0.1-1.redhat_00001.1
- Building new wrapper

* Tue Apr 11 2023 Permaine Cheung <pcheung@redhat.com> - 1.0.0-5.redhat_00002.1
- 1.0.0.redhat-00002

* Mon Apr 03 2023 Permaine Cheung <pcheung@redhat.com> - 1.0.0-4.Beta5_redhat_00001.1
- 1.0.0.Beta5-redhat-00001

* Fri Mar 24 2023 Permaine Cheung <pcheung@redhat.com> - 1.0.0-3.Beta2_redhat_00001.1
- Fix issues reported by QE

* Mon Mar 20 2023 Permaine Cheung <pcheung@redhat.com> - 1.0.0-2.Beta2_redhat_00001.1
- Fix install location

* Fri Mar 17 2023 Permaine Cheung <pcheung@redhat.com> - 1.0.0-1.Beta2_redhat_00001.1
- 1.0.0.Beta2-redhat-00001




